wxGridCellTextEditor(3)

NAME
wxGridCellTextEditor - Grid cell editor for string/text data.

DESCRIPTION

See:

    • wxGridCellEditor

    • wxGridCellBoolEditor

    • wxGridCellChoiceEditor

    • wxGridCellFloatEditor

    • wxGridCellNumberEditor

This class is derived, and can use functions, from:

    • wxGridCellEditor

wxWidgets docs: wxGridCellTextEditor

DATA TYPES

wxGridCellTextEditor() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxGridCellTextEditor()) -> ok.

    Destroys the object
new([Option]) -> wxGridCellTextEditor() when Option :: {maxChars, integer()}.

    Text cell editor constructor.
setParameters(This, Params) -> ok when This :: wxGridCellTextEditor(), Params :: unicode:chardata().

    The parameters string format is "n" where n is a number representing the maximum width.